*{
    box-sizing: border-box;
    padding: 0%;
    margin: 0;
    flex-wrap: wrap;
}
:root{
    --heading-color: rgb(31, 26, 26);
    --text-color: rgb(51, 48, 48);
    --text-font:'Roboto', 'Helvetica Neue', Arial, Helvetica;
}
body {
    background-color: #e1eefa;
    font-family: Arial, sans-serif;
}

.main-container{
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.sub-main-container{
    display: flex;
    justify-content: space-between;
    padding: 15px;
    width: 95%;
    background-color: whitesmoke;
    margin-top: 15px;
    z-index: 0;
}
.main-head{
    text-align: center;
    font-size: 2.3rem;
    margin-top: 10px;
    color:var(--heading-color);
    font-weight: 700;
    padding:10px ;
    text-shadow: 2px 4px 4px #a5a3a3;
}

button {
    padding: 10px 25px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
    background-color:var(--heading-color);
    color: #fff;
    cursor: pointer;
    transition: background-color 0.3s;
}
button:hover {
    background-color:rgb(0, 0, 0) ;
}


.box-container {
    position: relative;
    width: 300px;
}

.box-box {
    position: relative;
    background: linear-gradient(0deg, #ffffff, #f8faff);
    width: 100%;
    padding: 20px;
    border: 2px solid var(--heading-color);
    border-radius: 10px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    text-align: justify;
}

.pin {
    position: absolute;
    top: -10px;
    left: 50%;
}

.box-box h2 {
    font-size: 14px;
    color: var(--heading-color);
    margin-bottom: 6px;
    margin-top: 2px;
    font-weight: 750;
    text-align: center;
}

.box-box p {
    font-size: 14px;
    color: var(--text-color);
    line-height: 1.5;
    margin: 2px 0;
}

.box-box:before {
    content: '';
    position: absolute;
    top: -5px;
    left: 5px;
    width: 100%;
    height: 100%;
    background-color: #ffffff;
    z-index: -1;
    border-radius: 10px;
    box-shadow: 5px 5px 8px rgba(0, 0, 0, 0.1);
    transform: rotate(1deg);
}

.review-container {
    width: 250px;
    border: 2px solid var(--heading-color);
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background-color: white;
    margin-bottom: 20px;
}

.review-heading {
    background-color: var(--heading-color);
    color: white;
    font-weight: bold;
    text-align: center;
    padding: 10px;
    font-size: 12px;
}
.review-text{
    color: var(--text-color);
}
.review-item {
    padding: 10px;
    padding-bottom: 1px;
    font-size: 13px;
    line-height: 1.5;
}

.review-rating {
    font-weight: bold;
    color: #ff6600;
    margin-bottom: 5px;
}
.review-rating span{
    color: #000000;
}

.review-date {
    font-size: 12px;
    color: #888;
}

hr {
    border: none;
    border-top: 1px solid #ccc;
    margin: 5px 0;
}

.review-summary {
    text-align: center;
    font-size: 11px;
    color: #ff6600;
    padding: 10px;
    background-color: #f9f9f9;
}

.info-form {
    width: 100%;
}


.form-headering {
    background-color: var(--heading-color);
    color: white;
    font-weight: bold;
    padding: 10px;
    font-size: 14px;
    border-radius: 12px 12px 0 0;
}

.form-column {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
    background-color: #ffffff;
    border: 1px solid #ddd;
    border-top: none;
    border-radius: 0 0 5px 5px;
}

.form-row {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    padding: 10px;
    background-color: #ffffff;
    /* border: 1px solid #ddd; */
    border-top: none;
    border-radius: 0 0 3px 3px;
    width: 100%;
}


label {
    display: block;
    margin-bottom: 5px;
    font-size: 15px;
    color: #333;
}


input[type="radio"] {
    margin-right: 5px;
}

input[type="radio"] + label {
    display: inline-block;
    margin-right: 15px;
}

.form-main-div{
    width: 58%;
}


.passenger-form {
    width: 100%;
    border: 1px solid #ccc;
    border-radius: 12px 12px 0 0;
    overflow: hidden;
    background-color: white;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    margin: 20px auto;
    font-size: 14px;
}

.form-data {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px;
}

.form-section {
    flex: 1;
    margin-bottom: 10px;
    width: 100%;
    /* padding-right: 15px; */
}


.input-passengers {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

select {
    width: 100%;
    padding: 5px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 3px;
    background-color: #fff;
}

.info-icon {
    display: inline-block;
    margin-left: 5px;
    color: #ff6600;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
}

.car-section {
    text-align: center;
    flex: 1;
}

.car-image {
    width: 220px;
    height: auto;
}

.car-name {
    margin-top: 1px;
    margin-bottom: 15px;
    font-weight: bold;
    font-size: 14px;
    color: #333;
}

.dropoff-2-input , .dropoff-to-2-input{
    width: 100%;
    display: none;
}

.dropoff-2-no-input , .dropoff-to-2-no-input{
    width: 100%;
    height: 30px;
}

#dropoff-to-2-label , #dropoff-2-label {
    display: none;
}


input[type="number"]::-webkit-inner-spin-button,
        input[type="number"]::-webkit-outer-spin-button {
            -webkit-appearance: none;
        }













        /* home pages start */


        .page1-main-container{
            display: flex;
            justify-content: center;
            align-items: center;  
        }
        .page1-sub-main-container{
            padding: 20px 16px 20px 20px;
            width: 95%;
            background-color: whitesmoke;
            margin-top: 15px;
            font-size: 18px;
            height: 80%;
        }
        .page1-sub-main-container h1{
            color: var(--heading-color);
            /* font-size: 34px; */
        }
        
        .page1-sub-main-container p{
            padding: 15px 25px 20px 30px;
            line-height: 2rem;
        }
        .page1-button-container{
            display: flex;
            align-items: center;
            justify-content: flex-end;
            margin-right: 20px;
            margin-top: 10rem;
        }
        .page1-button-container a{
            background-color: darkgrey;
            color: black;
            padding: 15px;
            display: flex;
            align-items: center;
            justify-content: center;
            width: 100px;
        }


        .font-24{
            font-size: 24px;
        }
        .para{
            padding: 0 !important;
        }



        /* home pages end */



@media(max-width: 1400px) {
    .form-main-div{
        width: 50%;
    }
    .box-box p {
        font-size: 13px;
    }
    label , select {
        font-size: 14px;
    }
    .review-item {
        font-size: 12px;
    }
    .review-container {
        width: 231px;
    }
    .review-date {
        font-size: 11px;
    }
}

@media(max-width: 1300px) {
    .form-main-div{
        width: 45%;
    }
    .box-box p {
        font-size: 12px;
    }
}

@media(max-width: 1200px) {
    .form-main-div{
        width: 43%;
    }
    .box-box p {
        font-size: 11px;
    }
}

@media(max-width: 1150px) {
    .form-main-div{
        width: 40%;
    }
}

@media(max-width: 1000px) {
    .sub-main-container {
        display: flex;
        align-items: center;
        flex-direction: column;
        gap: 5rem;
    }
    .box-container {
        width: 95%;
        margin-top: 1rem;
    }
    .form-main-div , .review-container{
        width: 95%;
    }
    .review-main-div{
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }
    .box-box p , label , select {
        font-size: 17px;
    }
    .box-box h2 {
        font-size: 23px;
    }
    .form-headering {
        font-size: 15px;
    }
    .car-name , .review-item , button{
        font-size: 16px;
    }
    .review-heading {
        font-size: 18px;
    }
    .review-summary {
        font-size: 14px;
    }
    .review-date {
        font-size: 13px;
    }
}

@media(max-width: 790px) {
    .box-box p , label , select , .car-name , .review-item , button{
        font-size: 15px;
    }
    .box-box h2 {
        font-size: 20px;
    }
    .review-summary {
        font-size: 13px;
    }
    .review-date {
        font-size: 12px;
    }
    .page1-sub-main-container{
        padding: 0px;
    }

   
}

@media(max-width: 700px) {
    .box-box h2 {
        font-size: 18px;
    }
}


@media(max-width: 640px) {
    .box-box p , label , select , .car-name , .review-item , button {
        font-size: 14px;
    }
    .box-box h2 , .review-heading {
        font-size: 16px;
    }
    .form-headering {
        font-size: 15px;
    }
    .para {
        font-size: 17px;
    }
}


@media(max-width: 580px) {
    .box-box h2 {
        font-size: 14px;
    }
    .box-box p , label , select {
        font-size: 13.5px;
    }
    .main-head{
        font-size: 2.1rem;
    }
    .para {
        font-size: 16px;
    }
}


@media(max-width: 520px) {
    .box-box p , label , select {
        font-size: 11.5px;
    }
    .box-box h2 {
        font-size: 13px;
    }
    .form-headering {
        font-size: 15px;
    }
    .car-name , .review-item , button , .review-heading{
        font-size: 14px;
    }
    .review-heading {
        font-size: 16px;
    }
    .form-headering {
        font-size: 12.5px;
    }
    .car-name, .review-item, button {
        font-size: 12px;
    }
    .review-summary , .review-date {
        font-size: 10.5px;
    }
    .main-head{
        font-size: 1.9rem;
    }
    .para {
        font-size: 15px;
        line-height: 1.1;
    }
    .main-head{
        font-size: 1.9rem !important;
    }
}


@media(max-width: 375px) {
    .box-box p , label , select {
        font-size: 11px;
    }
    .box-box h2 {
        font-size: 10px;
    }
    .car-name , .review-item{
        font-size: 10.5px;
    }
    .review-heading {
        font-size: 12px;
    }
    .form-section {
        font-size: 15px;
    }
    .main-head{
        font-size: 1.7rem;
    }
    .para {
        font-size: 14px;
    }
}


@media(max-width: 335px) {
    .box-box p , label , select {
        font-size: 10px;
    }
    .car-name , .review-item , .form-headering{
        font-size: 10.5px;
    }
    .review-heading {
        font-size: 12px;
    }
    .form-section {
        font-size: 15px;
    }
    .form-section {
        font-size: 14px;
    }
    .review-summary{
        font-size: 9px;
    }
    .review-date {
        font-size: 9.5px;
    }
    .main-head{
        font-size: 1.5rem;
    }
    .para {
        font-size: 13px;
    }
    .main-head{
        font-size: 1.7rem !important;
    }
}




